com.tibbo.aggregate.common.util

## Class ParameterizerHelper

- java.lang.Object
- - com.tibbo.aggregate.common.util.ParameterizerHelper

-     public class ParameterizerHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_PARAMETERIZED`
    `static java.lang.String` | `FIELD_PARAMETERIZER`
    `static java.lang.String` | `FIELD_PARAMETERIZER_FORMAT_FORMAT`
    `static java.lang.String` | `FIELD_PARAMETERIZER_FORMAT_PARAMETERIZED_EXSPRESSION`
    `static TableFormat` | `PARAMETERIZER_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterizerHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataTable` | `createDataTable(java.lang.String format, java.lang.String expression)`
    `static DataTable` | `createDataTable(TableFormat tableFormat, java.lang.String expression)`
    `static TableFormat` | `getParametersTableFormat(Context context, CallerController caller, org.apache.log4j.Logger logger)`
    `static boolean` | `isParameterizedContext(Context context, CallerController caller, org.apache.log4j.Logger logger)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_PARAMETERIZER

          public static final java.lang.String FIELD_PARAMETERIZER

      See Also:
        Constant Field Values

    - #### FIELD_PARAMETERIZED

          public static final java.lang.String FIELD_PARAMETERIZED

      See Also:
        Constant Field Values

    - #### FIELD_PARAMETERIZER_FORMAT_FORMAT

          public static final java.lang.String FIELD_PARAMETERIZER_FORMAT_FORMAT

      See Also:
        Constant Field Values

    - #### FIELD_PARAMETERIZER_FORMAT_PARAMETERIZED_EXSPRESSION

          public static final java.lang.String FIELD_PARAMETERIZER_FORMAT_PARAMETERIZED_EXSPRESSION

      See Also:
        Constant Field Values

    - #### PARAMETERIZER_FORMAT

          public static final TableFormat PARAMETERIZER_FORMAT

  - ### Constructor Detail

    - #### ParameterizerHelper

          public ParameterizerHelper()

  - ### Method Detail

    - #### createDataTable

          public static final DataTable createDataTable(java.lang.String format,
                                                        java.lang.String expression)

    - #### createDataTable

          public static final DataTable createDataTable(TableFormat tableFormat,
                                                        java.lang.String expression)

    - #### getParametersTableFormat

          public static TableFormat getParametersTableFormat(Context context,
                                                             CallerController caller,
                                                             org.apache.log4j.Logger logger)

    - #### isParameterizedContext

          public static boolean isParameterizedContext(Context context,
                                                       CallerController caller,
                                                       org.apache.log4j.Logger logger)